View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000063Ecere SDKidepublic2008-05-04 20:492012-03-29 07:52
Reporterjerome 
Assigned Tojerome 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000063: Debugger Watches Code Editor Linking issues
DescriptionWhile at a debugger stop (tested with a crash) and evaluating watches, closing the source file and reopening it (by hitting enter in the call stack) presented totally off Type information in the watch windows, different each time.
TagsNo tags attached.
Attached Files? file icon form1.ec [^] (581 bytes) 2008-05-07 18:11
? file icon Test.epj [^] (514 bytes) 2008-05-07 18:11
? file icon Test.ews [^] (201 bytes) 2008-05-07 18:11

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000034)
jerome (administrator)
2008-05-07 18:14

Open the project/workspace attached, with form1.ec opened.

Hit F5, click the button. The app crashes.

this evaluates with Type Form1 and its address.

Close the source file. (Type and value remain)
Reopen by hitting enter on call stack at the crash frame.

Now Type is gone...
Close and reopen again: Type is now ecere::gfx::drivers::Font
Then next time ecere::com::AccessMode
Next time ecere::gfx::Resource ...
(0000045)
jerome (administrator)
2008-05-14 17:31

Added this code at the end of ParseCode:

      if(inUseDebug && ide.projectView && ide.projectView.debugger)
         ide.projectView.debugger.EvaluateWatches();

- Issue History
Date Modified Username Field Change
2008-05-04 20:49 jerome New Issue
2008-05-05 17:33 jerome Status new => assigned
2008-05-05 17:33 jerome Assigned To => redj
2008-05-07 18:11 jerome File Added: form1.ec
2008-05-07 18:11 jerome File Added: Test.epj
2008-05-07 18:11 jerome File Added: Test.ews
2008-05-07 18:14 jerome Note Added: 0000034
2008-05-12 17:27 jerome Priority high => urgent
2008-05-14 17:30 jerome Assigned To redj => jerome
2008-05-14 17:31 jerome Status assigned => resolved
2008-05-14 17:31 jerome Resolution open => fixed
2008-05-14 17:31 jerome Note Added: 0000045
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:54 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker